Loading...
Searching...
No Matches
jni::TypedMethods< jchar > Struct Reference

`#include <typed_methods.hpp>`

## Static Public Attributes

static constexpr auto | CallMethod = &JNIEnv::CallCharMethod
static constexpr auto | CallNonvirtualMethod = &JNIEnv::CallNonvirtualCharMethod
static constexpr auto | GetField = &JNIEnv::GetCharField
static constexpr auto | SetField = &JNIEnv::SetCharField
static constexpr auto | CallStaticMethod = &JNIEnv::CallStaticCharMethod
static constexpr auto | GetStaticField = &JNIEnv::GetStaticCharField
static constexpr auto | SetStaticField = &JNIEnv::SetStaticCharField
static constexpr auto | NewArray = &JNIEnv::NewCharArray
static constexpr auto | GetArrayElements = &JNIEnv::GetCharArrayElements
static constexpr auto | ReleaseArrayElements = &JNIEnv::ReleaseCharArrayElements
static constexpr auto | GetArrayRegion = &JNIEnv::GetCharArrayRegion
static constexpr auto | SetArrayRegion = &JNIEnv::SetCharArrayRegion

## Member Data Documentation

## CallMethod

auto jni::TypedMethods< jchar >::CallMethod = &JNIEnv::CallCharMethod

static constexpr

## CallNonvirtualMethod

auto jni::TypedMethods< jchar >::CallNonvirtualMethod = &JNIEnv::CallNonvirtualCharMethod

static constexpr

## CallStaticMethod

auto jni::TypedMethods< jchar >::CallStaticMethod = &JNIEnv::CallStaticCharMethod

static constexpr

## GetArrayElements

auto jni::TypedMethods< jchar >::GetArrayElements = &JNIEnv::GetCharArrayElements

static constexpr

## GetArrayRegion

auto jni::TypedMethods< jchar >::GetArrayRegion = &JNIEnv::GetCharArrayRegion

static constexpr

## GetField

auto jni::TypedMethods< jchar >::GetField = &JNIEnv::GetCharField

static constexpr

## GetStaticField

auto jni::TypedMethods< jchar >::GetStaticField = &JNIEnv::GetStaticCharField

static constexpr

## NewArray

auto jni::TypedMethods< jchar >::NewArray = &JNIEnv::NewCharArray

static constexpr

## ReleaseArrayElements

auto jni::TypedMethods< jchar >::ReleaseArrayElements = &JNIEnv::ReleaseCharArrayElements

static constexpr

## SetArrayRegion

auto jni::TypedMethods< jchar >::SetArrayRegion = &JNIEnv::SetCharArrayRegion

static constexpr

## SetField

auto jni::TypedMethods< jchar >::SetField = &JNIEnv::SetCharField

static constexpr

## SetStaticField

auto jni::TypedMethods< jchar >::SetStaticField = &JNIEnv::SetStaticCharField

static constexpr

The documentation for this struct was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/jni/typed_methods.hpp